Subject: bug#23927: 25.0.94; Errors when updating using package.el

From: Live System User <[email-masked]>
Date: Tue, 12 Jul 2016 17:21:23 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Live System User <[email-masked]>
>> Date: Sat, 09 Jul 2016 00:17:03 -0400
>> 
>>         When updating a package `(package-menu-mark-upgrades)',
>>         I got the following errors/warnings:
>> 
>> package-activate-1: Required feature ‘info’ was not provided
>
> A recipe to reproduce this will be appreciated.

0. In .emacs:

(add-to-list 'package-archives '(("melpa"
.                                 "https://melpa.org/packages/")))

(setq package-user-dir (expand-file-name "~/.emacs.d/elpa"))

1. M-x package-list-packages

2. I then typed "U" which executes `package-menu-mark-upgrades'

3. I then typed "x" which executes `package-menu-execute' to
   upgrade all installed packages, if any upgrades are available

   There was one package upgrade available.

   I then got the errors I am reporting.

>                                                  The 'info' feature
> comes with Emacs, so the only way I could understand how this can
> happen is that somehow load-path doesn't include the standard
> directories when this code is run.  But why and how could that happen?

  No idea.
>
>> Invalid face reference: package-status-builtin-face
>> Invalid face reference: package-status-builtin-face [3 times]
>
> A typo?  From package.el:
>
>   (defface package-status-built-in
>            ^^^^^^^^^^^^^^^^^^^^^^^
>     '((t :inherit font-lock-builtin-face))
>     "Face used on the status and version of built-in packages."
>     :version "25.1")
>
>   (defface package-status-external
>     '((t :inherit package-status-builtin-face))
>                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^
>     "Face used on the status and version of external packages."
>     :version "25.1")
>
> Would package.el gurus please take a look at this?  These sound like
> very basic problems in package.el, so I'd hate to release 25.1 with
> them.

  Thanks.